
// TestSaltUSBIOMiniDlg.h : header file
//

#pragma once
#include "afxwin.h"


// CTestSaltUSBIOMiniDlg dialog
class CTestSaltUSBIOMiniDlg : public CDialog
{
// Construction
public:
	CTestSaltUSBIOMiniDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	enum { IDD = IDD_TESTSALTUSBIOMINI_DIALOG };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support


// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()


public:
	afx_msg void OnBnClickedButtonInitialize();
	afx_msg void OnBnClickedButtonUninitialize();
	afx_msg void OnBnClickedButtonReadVersion();
	afx_msg void OnBnClickedButtonReadId();
	afx_msg void OnBnClickedButtonWriteId();
	afx_msg void OnBnClickedButtonSetReadMode();
	afx_msg void OnBnClickedButtonSetDirection();
	afx_msg void OnBnClickedButtonWrite();
	afx_msg void OnBnClickedButtonRead();
	afx_msg void OnBnClickedButtonWrite1000();
	afx_msg void OnBnClickedButtonRead1000();
	afx_msg void OnBnClickedCheckAutoPolling();
	afx_msg void OnTimer(UINT_PTR nIDEvent);
	afx_msg void OnBnClickedButtonResetFuseBits();


private:
	CSaltUSBIOMini m_usbiomini;
	void WriteSerial1Byte(unsigned char ucData, unsigned char ucInstruction);
	UINT_PTR m_uipTimerID;
	int m_nDeviceID;
};
