// USB-IO-MINI firmware
// Customized by Salt
// http://homepage1.nifty.com/salt/

#ifndef ___usbiomini_h___
#define ___usbiomini_h___

// write 1 Byte ڂ commandA2 Byte ڂ̓f[^iread ñR}h 2 Byte ڂ͖jA3 Byte ڂ̓}XN
// UIMC_READ_XXX  write  read ́AO write  command  1 Byte ڂɁA2 Byte ڂɌʁAԂ
// ȊO read ́A1 Byte ڂ 0x00A2 Byte ڂ Port ̏ԂԂi0, 0, 0, 0, PB5, PB4, PB3, PB0  8 bit Ԃj
typedef enum {

	UIMC_WRITE_DATA = 0x00,			// [data], [mask]
	UIMC_WRITE_DEVICE_ID,			// [data]
	UIMC_SET_DIRECTION,				// [data] (1 = output, 0 = input)

	UIMC_SET_READ_MODE_D4A0 = 0x40,	// no data			--> returns [0x40], [0, 0, 0, 0, PB5, PB4, PB3, PB0]
	UIMC_SET_READ_MODE_D3A1,		// no data			--> returns [0x41], [0, 0, 0, 0, 0,   PB4, PB3, PB0], [ADC0L], [ADC0H]
	UIMC_SET_READ_MODE_D2A2,		// no data			--> returns [0x42], [0, 0, 0, 0, 0,   0,   PB3, PB0], [ADC0L], [ADC0H], [ADC2L], [ADC2H]
	UIMC_SET_READ_MODE_D1A3,		// no data			--> returns [0x43], [0, 0, 0, 0, 0,   0,   0,   PB0], [ADC0L], [ADC0H], [ADC2L], [ADC2H], [ADC3L], [ADC3H]

	UIMC_ONETIME_COMMAND_BEGIN = 0x80,
		UIMC_READ_VERSION,			// no data			--> returns [0x81], [Version]
		UIMC_READ_DEVICE_ID,		// no data			--> returns [0x82], [Device ID]
		UIMC_READ_REGISTER,			// [data] (address) ܂ĂȂ
	UIMC_ONETIME_COMMAND_END,

} USB_IO_MINI_COMMAND;

typedef enum {
	ER_DEVICE_ID,
} EEPROM;

#endif // ___usbiomini_h___
